#include <sdldll.h>
#include "mem_memory.h"

#include <ctime>

int main( int argc, char * argv[] ) {
    int opt=0, opt2, opt3;

    sdl::SDL2 sdl(SDL_INIT_EVERYTHING, true);
    sdl::Window window ("Memory", 800, 600, (SDL_WindowFlags)(SDL_WINDOW_SHOWN | SDL_WINDOW_BORDERLESS));
    sdl::Renderer renderer(window, SDL_RENDERER_ACCELERATED);

    Memory memory(window, renderer);

    do {
        opt = memory.Menu1();
        switch(opt) {
            case '1':
                memory.SetDificultad(memory.Menu2(memory.GetDificultad())-'1');
                break;
            case '2':
                do {
                    opt2 = memory.Menu3();
                    switch(opt2) {
                    case '1': // Elegir musica
                        opt3 = memory.Menu4();
                        switch(opt3) {
                        case '1':
                            memory.CargaMusica("./music/infinte-melodic-rap-beat-instrumental-205870.mp3");
                            break;
                        case '2':
                            memory.CargaMusica("./music/melodic-techno-03-extended-version-moogify-9867.mp3");
                            break;
                        case '3':
                            memory.CargaMusica("./music/watr-fluid-10149.mp3");
                            break;
                        }
                        break;
                    case '2': // +Volumen
                        memory.VolumenMas();
                        break;
                    case '3': // -Volumen
                        memory.VolumenMenos();
                        break;
                    case '4':
                        memory.SwitchMusica();
                        break;
                    }
                } while(opt2 != '5');
                break;
            case '3':
                memory.Run();
                break;
            case '4': // Créditos
                memory.Creditos();
                break;
        }
    } while(opt!='5');
    return 0;
}

